# Prerequisites
*.d

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.exe
*.out
*.app

# Build and bin folder contents
build/*
bin/*

# VSCode configurations
.vscode/

# Cache folder
.cache/

# Cmake cache files
CMakeCache.txt

# Since we are using conan, we can remove CMakeFiles folder
CMakeFiles/

# Clang specific files
.clangd
.clangd/
compile_commands.json

# Environment preparation scripts
setup-env.sh
